import { Series } from "./Series";
import { NumericXAxis } from "./NumericXAxis";
import { NumericYAxis } from "./NumericYAxis";
import { IFastItemColumn$1 } from "igniteui-react-core";
import { Color } from "igniteui-react-core";
import { Type, Point } from "igniteui-react-core";
import { Rect } from "igniteui-react-core";
import { Axis } from "./Axis";
import { SeriesView } from "./SeriesView";
import { ProgressiveLoadStatusEventArgs } from "./ProgressiveLoadStatusEventArgs";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { AxisRange } from "./AxisRange";
import { RenderSurface } from "./RenderSurface";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class HighDensityScatterSeries extends Series {
    static $t: Type;
    protected get_e1(): boolean;
    protected ip(): number;
    constructor();
    protected get_e9(): boolean;
    t8: NumericXAxis;
    ua: NumericYAxis;
    wb: string;
    protected get uf(): IFastItemColumn$1<number>;
    protected set uf(a: IFastItemColumn$1<number>);
    private ue;
    v7: string;
    wf: string;
    v9: string;
    wh: string;
    getDataLegendSeriesContextAt(a: number, b: number): any;
    ju(a: any, b: string): any;
    wj: string;
    protected get uh(): IFastItemColumn$1<number>;
    protected set uh(a: IFastItemColumn$1<number>);
    private ug;
    uo: boolean;
    un: boolean;
    vj: number;
    vi: number;
    xh: Color;
    xg: Color;
    vv: number;
    private wy;
    protected o8(a: any, b: string, c: any, d: any): void;
    private ws;
    um(a: any): boolean;
    ul(a: any): boolean;
    private wo;
    private vp;
    private ui;
    private u4;
    private u3;
    private u2;
    private u1;
    private u0;
    private uz;
    private uy;
    private ux;
    private get u8();
    private get u7();
    private get u6();
    private get u5();
    private t6;
    private ub;
    private uc;
    private t7;
    private t9;
    private uk;
    gl(a: Rect, b: Rect, c: SeriesView): boolean;
    private vq;
    get vw(): number;
    set vw(a: number);
    pq(a: boolean): void;
    private wq;
    private vs;
    private vm;
    private vl;
    protected no(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    private wn;
    private wt;
    private wr;
    progressiveLoadStatusChanged: (sender: any, e: ProgressiveLoadStatusEventArgs) => void;
    private wl;
    private wp;
    private up;
    private w0;
    private uv;
    private uu;
    private uw;
    private vb;
    private u9;
    private va;
    private vc;
    private ve;
    private vg;
    private vf;
    private vd;
    private ur;
    private us;
    private ut;
    private uq;
    private wv;
    fo(a: any): boolean;
    private wx;
    private vt;
    private vu;
    private vh;
    private ww;
    private wu;
    private vo;
    private vn;
    private t3;
    private vr;
    private wm;
    protected cg(): SeriesView;
    o0(a: SeriesView): void;
    protected t5: HighDensityScatterSeriesView;
    aq(a: Axis): AxisRange;
    private uj;
    protected qm(a: Rect, b: Rect): void;
    protected qn(a: Rect, b: Rect): void;
    private _itemIndexes;
    private t4;
    private t1;
    jr(a: Point): any;
    private vx;
    wz(a: number[], b: number, c: number): void;
    protected get_gf(): boolean;
    protected set_gf(a: boolean): void;
    nj(a: boolean, b: SeriesView): void;
    pr(a: Rect, b: RenderSurface): void;
    private ud;
    po(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    ng(): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class HighDensityScatterSeriesView extends SeriesView {
    static $t: Type;
    constructor(a: HighDensityScatterSeries);
    au(): void;
    cd(): void;
    protected b2: HighDensityScatterSeries;
    private b0;
    private b8;
    private b7;
    private b5;
    private b6;
    private b3;
    b9(): void;
    b1(): number[];
    cc(): void;
    cb(a: () => void): void;
    protected a8(a: RenderingContext, b: boolean): void;
    b4(a: Color, b: Color): boolean;
    ca(): void;
    an(a: any): void;
}
